;;; -*- Mode: Lisp; Syntax: Common-Lisp; Base: 10 -*-
;;; Ystok-MD5 - MD5 (Message-Digest) and MD5 (APR) algorithms
;;; Copyright (c) 2003-2016 Dr. Dmitry Ivanov. All rights reserved.
;;; Copyright (c) Pierre R. Mai http://www.pmsf.de/resources/lisp/MD5.html
;;; Copyright (c) http://www.apache.org/licenses/LICENSE-2.0
;;;   The Apache source repository.
;;;   http://svn.apache.org/viewvc/apr/apr/trunk/crypto/apr_md5.c)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; On LispWorks, MD5 code relies a fast raw 32bit arithmetic.

(in-package :cl-user)

(asdf:defsystem ystok-md5
  :version "1.0.000"
  :description "MD5 (Message-Digest) and MD5 (APR) algorithms"
  :maintainer "Dmitry Ivanov http://lisp.ystok.ru/"
  :licence "LLGPL"
  :depends-on (:ystok-library             ; only needed for md5-apr.lisp
               :cl-base64)
  :components
  ((:file "md5")
   (:file "md5-apr"))

;(asdf:operate 'asdf:load-op 'ystok-md5)
;(asdf:load-system 'ystok-md5)